Page MenuHomePhabricator

Make Wikimedia CI run PHP in either PHP 7.0+ or HHVM
Closed, ResolvedPublic

Details

Related Gerrit Patches:
integration/config : masterDon't trigger PHP 5.5 jobs on REL1_31
integration/config : masterAdd mwgate-php70lint
integration/config : masterCreate mediawiki-core-php70lint job

Event Timeline

Jdforrester-WMF triaged this task as Normal priority.Mar 23 2018, 5:35 PM
Jdforrester-WMF created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2018, 5:35 PM
Paladox added a subscriber: Paladox.Apr 9 2018, 4:34 PM
Legoktm added a subscriber: Legoktm.

So I think the last thing to do is blacklist php55 jobs from running against master and REL1_31 branches?

Change 427421 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Create mediawiki-core-php70lint job

https://gerrit.wikimedia.org/r/427421

Change 427422 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Add mwgate-php70lint

https://gerrit.wikimedia.org/r/427422

Change 427423 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Don't trigger PHP 5.5 jobs on REL1_31

https://gerrit.wikimedia.org/r/427423

Change 427421 merged by jenkins-bot:
[integration/config@master] Create mediawiki-core-php70lint job

https://gerrit.wikimedia.org/r/427421

Change 427422 merged by jenkins-bot:
[integration/config@master] Add mwgate-php70lint

https://gerrit.wikimedia.org/r/427422

Change 427423 merged by jenkins-bot:
[integration/config@master] Don't trigger PHP 5.5 jobs on REL1_31

https://gerrit.wikimedia.org/r/427423

Legoktm closed this task as Resolved.Apr 18 2018, 5:38 PM
Legoktm claimed this task.

Should be all good now!